# Uses of Class
java.security.cert.CertPathBuilderSpi

Packages that use CertPathBuilderSpi
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

- ## Uses of CertPathBuilderSpi in java.security.cert

  Constructors in java.security.cert with parameters of type CertPathBuilderSpi
  Modifier
  Constructor
  Description
  `protected`
  `CertPathBuilder(CertPathBuilderSpi builderSpi, Provider provider, String algorithm)`
  Creates a `CertPathBuilder` object of the given algorithm, and encapsulates the given provider implementation (SPI object) in it.